cascading.util

## Interface Traceable

All Known Implementing Classes:
  AggregateBy, AggregateBy.CompositeFunction, And, AssertEquals, AssertEqualsAll, AssertExpression, AssertGroupBase, AssertGroupSizeEquals, AssertGroupSizeLessThan, AssertGroupSizeMoreThan, AssertMatches, AssertMatchesAll, AssertNotEquals, AssertNotNull, AssertNull, AssertSizeEquals, AssertSizeLessThan, AssertSizeMoreThan, Average, AverageBy, AverageBy.AverageFinal, BaseAssertion, BaseDistCacheTap, BaseOperation, BasePartitionTap, BasePartitionTap.PartitionScheme, Boundary, Checkpoint, Coerce, CoGroup, Count, CountBy, Counter, DateFormatter, DateOperation, DateParser, Debug, DecoratorTap, Dfs, Discard, DistCacheTap, Each, Every, ExpressionFilter, ExpressionFunction, ExpressionOperation, ExtentBase, ExtremaValueBase, FieldFormatter, FieldJoiner, FileTap, FilterNotNull, FilterNull, First, FirstBy, FirstNBuffer, GlobHfs, GroupBy, HashJoin, Hfs, Identity, Insert, Last, Lfs, Limit, Logic, MaxBy, MaxValue, Merge, MinBy, MinValue, MultiSinkTap, MultiSourceTap, NoOp, Not, NullScheme, Operator, Or, PartitionTap, PartitionTap, Pipe, RegexFilter, RegexGenerator, RegexMatcher, RegexOperation, RegexParser, RegexReplace, RegexSplitGenerator, RegexSplitter, Rename, Retain, Sample, Scheme, ScriptFilter, ScriptFunction, ScriptOperation, ScriptTupleFunction, SequenceFile, SetValue, SinkTap, SourceTap, Splice, Status, StdErrTap, StdInTap, StdOutTap, SubAssembly, Sum, SumBy, TagSoupParser, Tap, TempHfs, TextDelimited, TextDelimited, TextLine, TextLine, UnGroup, Unique, Unique.FilterPartialDuplicates, WritableSequenceFile, Xor, XPathFilter, XPathGenerator, XPathOperation, XPathParser

    public interface Traceable

Indicates that a class has trace fields usable from TraceUtil

### Method Summary

Methods
`java.lang.String` `getTrace()` Method getTrace returns a String that pinpoints the caller that created this instance.

### Method Detail

#### getTrace

    java.lang.String getTrace()

Method getTrace returns a String that pinpoints the caller that created this instance.

Returns:
  String